Summary:	A library of handy utility functions.
Name:		glib2
Group:		System Environment/Libraries
License:	LGPL
Version:	2.6.5
Release:	1
Source0:	glib-%{version}.tar.bz2
Source1:	glib2.sh
Source2:	glib2.csh
BuildRequires:	pkgconfig >= 0.8
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description 
GLib is the low-level core library that forms the basis
for projects such as GTK+ and GNOME. It provides data structure
handling for C, portability wrappers, and interfaces for such runtime
functionality as an event loop, threads, dynamic loading, and anobject system.

This package provides version 2 of GLib.

%files -f glib20.lang
  %defattr(-, root, root)
  %doc AUTHORS COPYING ChangeLog NEWS README

  %attr(0555,root,root)	%{_libdir}/libglib-2.0.so.*
  %attr(0555,root,root)	%{_libdir}/libgthread-2.0.so.*
  %attr(0555,root,root)	%{_libdir}/libgmodule-2.0.so.*
  %attr(0555,root,root)	%{_libdir}/libgobject-2.0.so.*
  %attr(0555,root,root)	%{_sysconfdir}/profile.d/*

%package devel
Summary:	The GIMP ToolKit (GTK+) and GIMP Drawing Kit (GDK) support library
Group:		Development/Libraries
Requires:	pkgconfig >= 0.8
Requires:	%{name} = %{version}
Conflicts:	glib-devel <= 1.2.8

%description devel
The glib2-devel package includes the header files for 
version 2 of the GLib library. 

%files devel
  %defattr(-, root, root)
  %doc %{_mandir}/man1/*

  %attr(0555,root,root)	%{_bindir}/*
  %attr(0555,root,root)	%{_libdir}/lib*.so
  %attr(0444,root,root)	%{_libdir}/lib*.a
  %attr(0444,root,root)	%{_libdir}/lib*.la

  %{_libdir}/glib-2.0
  %{_includedir}/*
  %{_datadir}/aclocal/*
  %{_datadir}/gtk-doc/
  %{_libdir}/pkgconfig/*
  %{_datadir}/glib-2.0

%prep
%setup -q -n glib-%{version}

%build
  for i in config.guess config.sub ; do
	test -f /usr/share/libtool/$i && cp /usr/share/libtool/$i .
  done

  %configure --disable-gtk-doc --enable-static
  make
  make check

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT%{_bindir}
  %makeinstall

  # glib2.sh and glib2.csh
  ./mkinstalldirs $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
  install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
  install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d

  %find_lang glib20

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 30 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 2.6.5, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
